package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class DraftSuratVO extends BaseTransactionVO {
	
	@Column(name = "NoSurat", nullable = true , length = 100)
	@Caption(value="noSurat")
	private String noSurat;
	
	@Column(name = "Judul", nullable = true , length = 100)
	@Caption(value="judul")
	private String judul;
	
	@ManyToOne
	@JoinColumn(name = "ObjectJenisSuratFk")
	@Caption(value="JenisSurat")
	private JenisSuratVO jenisSurat;

	@Column(name = "IsiSurat", nullable = true)
	@Caption(value="isiSurat")
	private String isiSurat;
	
	@OneToMany
	private Set<DraftSuratRuanganVO> draftSuratRuangan=new HashSet<DraftSuratRuanganVO>();
	
	@Column(name = "Keterangan", nullable = true)
	@Caption(value="Keterangan")
	private String keterangan;
	
	@Column(name = "tanggal", nullable = true )
	@Caption(value="Tanggal")
	private Date tanggal;
	
	@ManyToOne
	@JoinColumn(name = "SuratFk")
	@NotNull(message="Object Dokumen Harus Diisi")
	@Caption(value="Object Dokumen")
	private SuratVO surat;
	
	@Column(name = "verbalKonsep", nullable = true)
	@Caption(value="verbal Konsep")
	private String verbalKonsep;
	
	@Column(name = "lembarCatatan", nullable = true)
	@Caption(value="Lembar Catatan")
	private String lembarCatatan;
	
	private String fileName;
	
	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	public String getNoSurat() {
		return noSurat;
	}

	public void setNoSurat(String noSurat) {
		this.noSurat = noSurat;
	}

	public String getJudul() {
		return judul;
	}

	public void setJudul(String judul) {
		this.judul = judul;
	}

	public JenisSuratVO getJenisSurat() {
		return jenisSurat;
	}

	public void setJenisSurat(JenisSuratVO jenisSurat) {
		this.jenisSurat = jenisSurat;
	}

	public String getIsiSurat() {
		return isiSurat;
	}

	public void setIsiSurat(String isiSurat) {
		this.isiSurat = isiSurat;
	}


	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public Date getTanggal() {
		return tanggal;
	}

	public void setTanggal(Date tanggal) {
		this.tanggal = tanggal;
	}

	public SuratVO getSurat() {
		return surat;
	}

	public void setSurat(SuratVO surat) {
		this.surat = surat;
	}

	public String getVerbalKonsep() {
		return verbalKonsep;
	}

	public void setVerbalKonsep(String verbalKonsep) {
		this.verbalKonsep = verbalKonsep;
	}

	public String getLembarCatatan() {
		return lembarCatatan;
	}

	public void setLembarCatatan(String lembarCatatan) {
		this.lembarCatatan = lembarCatatan;
	}

	public Set<DraftSuratRuanganVO> getDraftSuratRuangan() {
		return draftSuratRuangan;
	}

	public void setDraftSuratRuangan(Set<DraftSuratRuanganVO> draftSuratRuangan) {
		this.draftSuratRuangan = draftSuratRuangan;
	}

	
}
